This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 130119 - Update from FC1 to FC2 overwrites the Home dir of the ftp user in /etc/passwd
Update from FC1 to FC2 overwrites the Home dir of the ftp user in /etc/passwd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 06:25 EDT by Joachim Backes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 04:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2004-08-17 06:25:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When updating from FC1 to FC2, the /etc/passwd entry for the anonymous
ftp user is overwritten (more exact: the home dir entry). 

Version-Release number of selected component (if applicable):
krb5-workstation-1.3.3-1

How reproducible:
Always

Steps to Reproduce:
1. Install FC1
2. Configure the anonymous ftp user with a special home dir
3.Update to FC2
    

Actual Results:  /etc/passwd entry will be overwritten

Expected Results:  No changes /etc/passwd entry.

Additional info:

The same problem when updating RH9->FC1
Comment 1 Nalin Dahyabhai 2004-08-23 19:38:51 EDT
The krb5-workstation package (which includes the kerberized ftp
server) doesn't touch the 'ftp' account in its scripts.  Reassigning
to vsftpd.
Comment 2 Radek Vokal 2004-09-15 04:44:29 EDT
vsftpd doesn't modify /etc/passwd while installing. Scripts checked.
Seems to me more like anaconda problem.
Comment 3 Jeremy Katz 2004-09-15 14:43:26 EDT
No, vsftpd does set it

See from its %post -- 
/usr/sbin/usermod -d /var/ftp ftp >/dev/null 2>&1 || :
Comment 4 Radek Vokal 2004-09-16 04:21:01 EDT
You're right (Thx Jeremy). The home directory is changed to default
dir. Anyway I don't see any reason why it is changed so I'll remove it
from next release. 

Note You need to log in before you can comment on or make changes to this bug.